%define upstream_name    IO-Tty
%define upstream_version 1.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Pseudo TTY object class
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
The IO::Tty and IO::Pty modules provide an interface to pseudo tty's.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorarch}/auto/IO
%{perl_vendorarch}/IO
%{_mandir}/*/*

%changelog
* Sun Nov 13 2022 tv <tv> 1.170.0-1.mga9
+ Revision: 1906639
- update to 1.17

* Tue Jun 07 2022 umeabot <umeabot> 1.160.0-4.mga9
+ Revision: 1862023
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.160.0-3.mga9
+ Revision: 1795840
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.160.0-2.mga9
+ Revision: 1726732
- Rebuild for perl 5.34

* Thu Feb 25 2021 tv <tv> 1.160.0-1.mga9
+ Revision: 1690235
- update to 1.16

* Wed Nov 04 2020 tv <tv> 1.150.0-1.mga8
+ Revision: 1642482
- update to 1.15

* Wed Jun 17 2020 umeabot <umeabot> 1.140.0-3.mga8
+ Revision: 1594821
- Rebuild for perl 5.32

* Wed Feb 19 2020 umeabot <umeabot> 1.140.0-2.mga8
+ Revision: 1543458
- Mageia 8 Mass Rebuild

* Mon Jan 20 2020 tv <tv> 1.140.0-1.mga8
+ Revision: 1481657
- update to 1.14
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tmb <tmb> 1.120.0-10.mga8
+ Revision: 1432693
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.120.0-9.mga7
+ Revision: 1293197
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 pterjan <pterjan> 1.120.0-8.mga7
+ Revision: 1247481
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.120.0-7.mga7
+ Revision: 1165022
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.120.0-6.mga7
+ Revision: 1148977
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.120.0-5.mga7
+ Revision: 1126591
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.120.0-4.mga6
+ Revision: 1028792
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.120.0-3.mga6
+ Revision: 957567
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.120.0-2.mga6
+ Revision: 844924
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.120.0-1.mga6
+ Revision: 840831
- New version 1.12 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 1.110.0-5.mga5
+ Revision: 744950
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.110.0-4.mga5
+ Revision: 732305
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.110.0-3.mga5
+ Revision: 685089
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.110.0-2.mga5
+ Revision: 631293
- Rebuild for perl 5.20

* Tue May 06 2014 jquelin <jquelin> 1.110.0-1.mga5
+ Revision: 620660
- update to 1.11

* Sat Oct 19 2013 umeabot <umeabot> 1.100.0-10.mga4
+ Revision: 524347
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.100.0-9.mga4
+ Revision: 430762
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 1.100.0-8.mga4
+ Revision: 429888
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-7.mga3
+ Revision: 368600
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 1.100.0-6.mga3
+ Revision: 283477
- Rebuild for new perl

* Wed May 30 2012 jquelin <jquelin> 1.100.0-5.mga3
+ Revision: 250788
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.100.0-4.mga2
+ Revision: 103942
- perl 5.14

* Sat Jun 11 2011 spuhler <spuhler> 1.100.0-3.mga2
+ Revision: 103941
- increase rel for rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.100.0-2.mga1
+ Revision: 31622
- rebuild
- mageia rebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 12272
- imported package perl-IO-Tty

